Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
GeomVertexDataPipelineReader Class Reference

Encapsulates the data from a GeomVertexData, pre-fetched for one stage of the pipeline. More...

`#include "geomVertexData.h"`

Inheritance diagram for GeomVertexDataPipelineReader:

## Public Member Functions
| GeomVertexDataPipelineReader (const GeomVertexData *object, Thread *current_thread)
| GeomVertexDataPipelineReader (Thread *current_thread)
void | check_array_readers () const
bool | get_array_info (const InternalName *name, const GeomVertexArrayDataHandle *&array_reader, int &num_values, NumericType &numeric_type, bool &normalized, int &start, int &stride, int &divisor, int &num_elements, int &element_stride) const
bool | get_array_info (const InternalName *name, const GeomVertexArrayDataHandle *&array_reader, int &num_values, NumericType &numeric_type, int &start, int &stride) const
const GeomVertexArrayDataHandle * | get_array_reader (int i) const
bool | get_color_info (const GeomVertexArrayDataHandle *&array_reader, int &num_values, NumericType &numeric_type, int &start, int &stride) const
bool | get_normal_info (const GeomVertexArrayDataHandle *&array_reader, NumericType &numeric_type, int &start, int &stride) const
int | get_num_rows () const
const GeomVertexData * | get_object () const
bool | get_vertex_info (const GeomVertexArrayDataHandle *&array_reader, int &num_values, NumericType &numeric_type, int &start, int &stride) const
bool | has_color () const
bool | has_normal () const
bool | has_vertex () const
bool | is_vertex_transformed () const
void | set_object (const GeomVertexData *object)
Public Member Functions inherited from GeomVertexDataPipelineBase
| GeomVertexDataPipelineBase (const GeomVertexDataPipelineBase &copy)=delete
ConstPointerTo< GeomVertexArrayData > | get_array (size_t i) const
Thread * | get_current_thread () const
const GeomVertexFormat * | get_format () const
UpdateSeq | get_modified () const
size_t | get_num_arrays () const
int | get_num_bytes () const
const SliderTable * | get_slider_table () const
ConstPointerTo< TransformBlendTable > | get_transform_blend_table () const
const TransformTable * | get_transform_table () const
UsageHint | get_usage_hint () const
bool | has_column (const InternalName *name) const
GeomVertexDataPipelineBase & | operator= (const GeomVertexDataPipelineBase &copy)=delete

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()

## Additional Inherited Members
Public Types inherited from GeomEnums
enum | AnimationType { AT_none , AT_panda , AT_hardware }
enum | Contents { C_other , C_point , C_clip_point , C_vector , C_texcoord , C_color , C_index , C_morph_delta , C_matrix , C_normal }
enum | GeomRendering { GR_indexed_point = 0x00001 , GR_indexed_other = 0x10000 , GR_indexed_bits = 0x10001 , GR_point = 0x00002 , GR_point_uniform_size = 0x00004 , GR_per_point_size = 0x00008 , GR_point_perspective = 0x00010 , GR_point_aspect_ratio = 0x00020 , GR_point_scale = 0x00040 , GR_point_rotate = 0x00080 , GR_point_sprite = 0x00100 , GR_point_sprite_tex_matrix = 0x00200 , GR_point_bits = 0x003fe , GR_triangle_strip = 0x00400 , GR_triangle_fan = 0x00800 , GR_line_strip = 0x01000 , GR_composite_bits = 0x01c00 , GR_strip_cut_index = 0x20000 , GR_flat_first_vertex = 0x02000 , GR_flat_last_vertex = 0x04000 , GR_shade_model_bits = 0x06000 , GR_render_mode_wireframe = 0x40000 , GR_render_mode_point = 0x80000 , GR_adjacency = 0x100000 }
enum | NumericType { NT_uint8 , NT_uint16 , NT_uint32 , NT_packed_dcba , NT_packed_dabc , NT_float32 , NT_float64 , NT_stdfloat , NT_int8 , NT_int16 , NT_int32 , NT_packed_ufloat }
enum | PrimitiveType { PT_none , PT_polygons , PT_lines , PT_points , PT_patches }
enum | ShadeModel { SM_uniform , SM_smooth , SM_flat_first_vertex , SM_flat_last_vertex }
enum | UsageHint { UH_client , UH_stream , UH_dynamic , UH_static , UH_unspecified }

## Detailed Description

Encapsulates the data from a GeomVertexData, pre-fetched for one stage of the pipeline.

Does not hold a reference to the GeomVertexData, so make sure it does not go out of scope.

Definition at line 442 of file geomVertexData.h.

## Constructor & Destructor Documentation

## ◆ GeomVertexDataPipelineReader()

GeomVertexDataPipelineReader::GeomVertexDataPipelineReader | ( | const GeomVertexData * | object,
|  | Thread * | current_thread )
| inline

Definition at line 751 of file geomVertexData.I.

## Member Function Documentation

## ◆ check_array_readers()

void GeomVertexDataPipelineReader::check_array_readers | ( |  | ) | const
| inline

Definition at line 792 of file geomVertexData.I.

## ◆ get_array_info() [1/2]

bool GeomVertexDataPipelineReader::get_array_info | ( | const InternalName * | name,
|  | const GeomVertexArrayDataHandle *& | array_reader,
|  | int & | num_values,
|  | GeomVertexDataPipelineReader::NumericType & | numeric_type,
|  | bool & | normalized,
|  | int & | start,
|  | int & | stride,
|  | int & | divisor,
|  | int & | num_elements,
|  | int & | element_stride ) const

Definition at line 2289 of file geomVertexData.cxx.

## ◆ get_array_info() [2/2]

bool GeomVertexDataPipelineReader::get_array_info | ( | const InternalName * | name,
|  | const GeomVertexArrayDataHandle *& | array_reader,
|  | int & | num_values,
|  | GeomVertexDataPipelineReader::NumericType & | numeric_type,
|  | int & | start,
|  | int & | stride ) const

Definition at line 2266 of file geomVertexData.cxx.

## ◆ get_array_reader()

const GeomVertexArrayDataHandle * GeomVertexDataPipelineReader::get_array_reader | ( | int | i | ) | const
| inline

Definition at line 802 of file geomVertexData.I.

## ◆ get_class_type()

static TypeHandle GeomVertexDataPipelineReader::get_class_type | ( |  | ) |
| inline static

Definition at line 491 of file geomVertexData.h.

## ◆ get_color_info()

bool GeomVertexDataPipelineReader::get_color_info | ( | const GeomVertexArrayDataHandle *& | array_reader,
|  | int & | num_values,
|  | GeomVertexDataPipelineReader::NumericType & | numeric_type,
|  | int & | start,
|  | int & | stride ) const

Definition at line 2361 of file geomVertexData.cxx.

## ◆ get_normal_info()

bool GeomVertexDataPipelineReader::get_normal_info | ( | const GeomVertexArrayDataHandle *& | array_reader,
|  | GeomVertexDataPipelineReader::NumericType & | numeric_type,
|  | int & | start,
|  | int & | stride ) const

Definition at line 2340 of file geomVertexData.cxx.

## ◆ get_num_rows()

int GeomVertexDataPipelineReader::get_num_rows | ( |  | ) | const

Definition at line 2248 of file geomVertexData.cxx.

## ◆ get_object()

const GeomVertexData * GeomVertexDataPipelineReader::get_object | ( |  | ) | const
| inline

Definition at line 784 of file geomVertexData.I.

## ◆ get_vertex_info()

bool GeomVertexDataPipelineReader::get_vertex_info | ( | const GeomVertexArrayDataHandle *& | array_reader,
|  | int & | num_values,
|  | GeomVertexDataPipelineReader::NumericType & | numeric_type,
|  | int & | start,
|  | int & | stride ) const

Definition at line 2317 of file geomVertexData.cxx.

## ◆ has_color()

bool GeomVertexDataPipelineReader::has_color | ( |  | ) | const
| inline

Definition at line 841 of file geomVertexData.I.

## ◆ has_normal()

bool GeomVertexDataPipelineReader::has_normal | ( |  | ) | const
| inline

Definition at line 833 of file geomVertexData.I.

## ◆ has_vertex()

bool GeomVertexDataPipelineReader::has_vertex | ( |  | ) | const
| inline

Definition at line 812 of file geomVertexData.I.

## ◆ init_type()

static void GeomVertexDataPipelineReader::init_type | ( |  | ) |
| inline static

Definition at line 494 of file geomVertexData.h.

## ◆ is_vertex_transformed()

bool GeomVertexDataPipelineReader::is_vertex_transformed | ( |  | ) | const
| inline

Definition at line 820 of file geomVertexData.I.

## ◆ set_object()

void GeomVertexDataPipelineReader::set_object | ( | const GeomVertexData * | object | ) |
| inline

Definition at line 763 of file geomVertexData.I.

The documentation for this class was generated from the following files:

- panda/src/gobj/geomVertexData.h
- panda/src/gobj/geomVertexData.cxx
- panda/src/gobj/geomVertexData.I